FreeMat

- Main Page
- Related Pages

vtkGAMBITReader

Section: Visualization Toolkit IO Classes

# Usage

vtkGAMBITReader creates an unstructured grid dataset. It reads ASCII files stored in GAMBIT neutral format, with optional data stored at the nodes or at the cells of the model. A cell-based fielddata stores the material id.

To create an instance of class vtkGAMBITReader, simply invoke its constructor as follows

      obj = vtkGAMBITReader

# Methods

The class vtkGAMBITReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGAMBITReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGAMBITReader = obj.NewInstance ()`
- `vtkGAMBITReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify the file name of the GAMBIT data file to read.
- `string = obj.GetFileName ()` - Specify the file name of the GAMBIT data file to read.
- `int = obj.GetNumberOfCells ()` - Get the total number of cells. The number of cells is only valid after a successful read of the data file is performed.
- `int = obj.GetNumberOfNodes ()` - Get the total number of nodes. The number of nodes is only valid after a successful read of the data file is performed.
- `int = obj.GetNumberOfNodeFields ()` - Get the number of data components at the nodes and cells.
- `int = obj.GetNumberOfCellFields ()` - Get the number of data components at the nodes and cells.